Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.runtime
Class JDBCExtent

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.ExtentImpl
            |
            +--com.solarmetric.kodo.impl.jdbc.runtime.JDBCExtent

All Implemented Interfaces:
  Extent, KodoExtent

public class JDBCExtent
extends ExtentImpl

JDBC Extent implementation.

Field Summary
`protected JDBCStoreManager` | `_store`

Constructor Summary
`JDBCExtent(Class type, boolean subclasses, JDBCStoreManager store)`

Method Summary
`protected void` | `closeIterator(Iterator iter)` Close the given iterator.
`protected Iterator` | `getIterator(Class candidateClass)` Return an iterator over the extent for the specified candidate class.
`ResultList` | `getResultList(Class candidateClass)` Return a `ResultList` that can be used to access all the data in this extent.

Methods inherited from class com.solarmetric.kodo.runtime.ExtentImpl
`close, closeAll, getCandidateClass, getImplementingClasses, getImplementingClasses, getImplementingClasses, getIterator, getPersistenceManager, hasSubclasses, includesClass, iterator, list`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _store

    protected JDBCStoreManager _store

Constructor Detail

### JDBCExtent

    public JDBCExtent(Class type,
                      boolean subclasses,
                      JDBCStoreManager store)

Method Detail

### closeIterator

    protected void closeIterator(Iterator iter)

  Close the given iterator.
  Overrides:
    `closeIterator` in class `ExtentImpl`
  Following copied from class: `com.solarmetric.kodo.runtime.ExtentImpl`
  Parameters:
    `iter` - the Iterator to close. This can be an instance of the implementation-dependent `Iterator`, or it may be a `MultiIterator`.

### getIterator

    protected Iterator getIterator(Class candidateClass)

  Description copied from class: `ExtentImpl`
  Return an iterator over the extent for the specified candidate class. The candidate class is guaranteed to always be a concrete top-level class.
  Overrides:
    `getIterator` in class `ExtentImpl`
  Following copied from class: `com.solarmetric.kodo.runtime.ExtentImpl`
  Parameters:
    `candidateClass` - the class against which the Iterator needs to be obtained. It is important that this parameter be used as opposed to the `ExtentImpl.getCandidateClass()` method, since the parameter is always guaranteed to be a concrete class, whereas `ExtentImpl.getCandidateClass()` may return an interface.

### getResultList

    public ResultList getResultList(Class candidateClass)

  Return a `ResultList` that can be used to access all the data in this extent. This should not cache data; a new `ResultList` will be requested each time `getIterator(java.lang.Class)` is invoked. This simply delegates the method to the class' `ClassMapping`.
  Parameters:
    `candidateClass` - the concrete class against which the query will be issued. Note that this is not necessarily the same as the Extent's `ExtentImpl.getCandidateClass()` method, which might return an interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.